Notification method for a successful command

- « MongoDB\Driver\Monitoring\CommandSubscriber::commandStarted

- MongoDB\Driver\Monitoring\LogSubscriber »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandSubscriber
- Notification method for a successful command

# MongoDB\Driver\Monitoring\CommandSubscriber::commandSucceeded

(mongodb >=1.3.0)

MongoDB\Driver\Monitoring\CommandSubscriber::commandSucceeded — Notification method for a successful command

### Description

abstract public MongoDB\Driver\Monitoring\CommandSubscriber::commandSucceeded(MongoDB\Driver\Monitoring\CommandSucceededEvent `$event`): void

If the subscriber is registered, this method is called when a command succeeds.

### Parameters

`event` (MongoDB\Driver\Monitoring\CommandSucceededEvent)

  An event object encapsulating information about the successful command.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\CommandSucceededEvent
- MongoDB\Driver\Monitoring\addSubscriber() - Registers a monitoring event subscriber globally
- MongoDB\Driver\Manager::addSubscriber() - Registers a monitoring event subscriber with this Manager
- Application Performance Monitoring (APM)